Orxonox: orxonox::Thread Class Reference

# orxonox::Thread Class Reference

`#include <src/core/Thread.h>`

List of all members.

## Public Member Functions

bool | evaluateExecutor (Executor *executor)
bool | isWorking ()
| Thread ()
void | waitUntilFinished ()
virtual | ~Thread ()

## Private Member Functions

void | threadLoop ()

## Private Attributes

Executor * | executor_
boost::mutex * | executorMutex_
bool | isWorking_
boost::mutex * | isWorkingMutex_
bool | stopThread_
boost::mutex * | stopThreadMutex_
boost::thread * | workerThread_

## Constructor & Destructor Documentation

orxonox::Thread::Thread | ( |  | ) |

References executorMutex_, isWorkingMutex_, stopThreadMutex_, threadLoop(), and workerThread_.

orxonox::Thread::~Thread | ( |  | ) | `[virtual]`

References executorMutex_, isWorkingMutex_, stopThread_, stopThreadMutex_, orxonox::THREAD_WAIT_BEFORE_DETACH(), and workerThread_.

## Member Function Documentation

bool orxonox::Thread::evaluateExecutor | ( | Executor * | executor | ) |

References executor_, executorMutex_, isWorking_, and isWorkingMutex_.

bool orxonox::Thread::isWorking | ( |  | ) |

References isWorking_, and isWorkingMutex_.

void orxonox::Thread::threadLoop | ( |  | ) | `[private]`

References executor_, executorMutex_, isWorking_, isWorkingMutex_, stopThread_, and workerThread_.

Referenced by Thread().

void orxonox::Thread::waitUntilFinished | ( |  | ) |

References isWorking_, isWorkingMutex_, and orxonox::msleep().

## Member Data Documentation

Executor* orxonox::Thread::executor_`[private]`

Referenced by evaluateExecutor(), and threadLoop().

boost::mutex* orxonox::Thread::executorMutex_`[private]`

Referenced by evaluateExecutor(), Thread(), threadLoop(), and ~Thread().

bool orxonox::Thread::isWorking_`[private]`

Referenced by evaluateExecutor(), isWorking(), threadLoop(), and waitUntilFinished().

boost::mutex* orxonox::Thread::isWorkingMutex_`[private]`

Referenced by evaluateExecutor(), isWorking(), Thread(), threadLoop(), waitUntilFinished(), and ~Thread().

bool orxonox::Thread::stopThread_`[private]`

Referenced by threadLoop(), and ~Thread().

boost::mutex* orxonox::Thread::stopThreadMutex_`[private]`

Referenced by Thread(), and ~Thread().

boost::thread* orxonox::Thread::workerThread_`[private]`

Referenced by Thread(), threadLoop(), and ~Thread().

The documentation for this class was generated from the following files:

- src/core/Thread.h
- src/core/Thread.cc